## python-soxr 0.4.0b1

=== debian/changelog ===
python-soxr (0.4.0b1-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 11 Jul 2024 19:57:58 -0300

python-soxr (0.4.0b1-1) unstable; urgency=medium

  * Initial release. (Closes: #1072088)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 26 May 2024 21:15:16 -0300
