=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=soxr
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_TEST_ARGS=-v
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

#override_dh_install-arch:
#	dh_numpy3 --package=python3-soxr
#	dh_install

execute_before_dh_sphinxdoc:
	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
	-N -bhtml  docs/ debian/python-soxr-doc/usr/share/doc/python-soxr-doc/html

# Fix lintian  privacy-breach-generic
	find debian/python-soxr-doc/ -name '*.html' -exec sed -i 's/.*https:\/\/img\.shields\.io\/.*//g' {} \;

#Fix lintian font-in-non-font-package / package-installs-python-pycache-dir /extra-license-file
	find debian/python-soxr-doc/ -type d -name webfonts -exec rm -r {} +
	find debian/python-soxr-doc/ -type d -name __pycache__ -exec rm -r {} +
	find debian/python-soxr-doc/  -name 'LICENSE.txt' -exec rm -r {} +
