## python-soxr 0.5.0

=== debian/changelog ===
python-soxr (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * debian/control: Added Build-Depends:
     - nanobind-dev
     - python3-importlib-metadata
     - python3-scikit-build-core
     - python3-typing-extensions
  * debian/copyright: Added new licensed file with FFTPACK
  * debian/patches: Adjusted for this new version
  * debian/rules: Updated flag hardening
  * debian/watch: Changed to only track stable versions

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 15 Sep 2024 23:26:50 -0300
