=== debian/control ===
--- 
+++ 
@@ -4,22 +4,27 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
-Build-Depends: cython3,
+Build-Depends: cmake,
+               cython3,
                debhelper-compat (= 13),
+               dh-sequence-numpy3,
                dh-sequence-python3,
-               dh-sequence-numpy3,
                libsoxr-dev,
+               nanobind-dev,
                pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev,
+               python3-importlib-metadata <!nodoc>,
                python3-linkify-it <!nodoc>,
                python3-myst-parser <!nodoc>,
                python3-numpy,
                python3-pytest <!nocheck>,
+               python3-scikit-build-core,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>,
                python3-sphinx-book-theme <!nodoc>,
+               python3-typing-extensions,
                python3-wheel
 Standards-Version: 4.7.0
 Homepage: https://github.com/dofuuz/python-soxr
