=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,13 @@
 #export DH_VERBOSE = 1
 export PYBUILD_NAME=soxr
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export CMAKE_ARGS := -DCMAKE_VERBOSE_MAKEFILE=ON
+export DEB_CXXFLAGS_MAINT_APPEND = -D_FORTIFY_SOURCE=2
 export PYBUILD_TEST_ARGS=-v
+
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-#override_dh_install-arch:
-#	dh_numpy3 --package=python3-soxr
-#	dh_install
 
 execute_before_dh_sphinxdoc:
 	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
