=== debian/watch ===
version=4
opts=\
uversionmangle=s/[-._](rc|a|alpha|b|beta|c|post|pre)[0-9]*// \
https://github.com/dofuuz/python-soxr/tags .*/v?([0-9]+\.[0-9]+\.[0-9]+)@ARCHIVE_EXT@
