=== debian/changelog ===
python-soxr (0.5.0.post1-1) unstable; urgency=medium

  * Team upload.
  * d/watch: ".post" versions are real stable releases, find them as
    well.
  * New upstream version
  * d/gbp.conf: document default branch name
  * d/rules: set PYTHONPATH before building the docs.
  * Skip building the docs until https://bugs.debian.org/1085947 is
    fixed.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 17 Feb 2025 17:54:19 +0100
