=== debian/control ===
--- 
+++ 
@@ -14,18 +14,19 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev,
-               python3-importlib-metadata <!nodoc>,
-               python3-linkify-it <!nodoc>,
-               python3-myst-parser <!nodoc>,
                python3-numpy,
                python3-pytest <!nocheck>,
                python3-scikit-build-core,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-sphinx <!nodoc>,
-               python3-sphinx-book-theme <!nodoc>,
                python3-typing-extensions,
-               python3-wheel
+               python3-wheel,
+# Build-Depends-Indep: dh-sequence-sphinxdoc,
+#                      python3-sphinx <!nodoc>,
+#                      python3-importlib-metadata <!nodoc>,
+#                      python3-linkify-it <!nodoc>,
+#                      python3-myst-parser <!nodoc>,
+#                      python3-sphinx-book-theme <!nodoc>,
 Standards-Version: 4.7.0
 Homepage: https://github.com/dofuuz/python-soxr
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-soxr
