=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,14 @@
 export PYBUILD_TEST_ARGS=-v
 
 %:
-	dh $@ --with sphinxdoc --buildsystem=pybuild
-
+	dh $@ --buildsystem=pybuild
 
 execute_before_dh_sphinxdoc:
-	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
-	-N -bhtml  docs/ debian/python-soxr-doc/usr/share/doc/python-soxr-doc/html
-
+	PYTHONPATH=$(shell pybuild --print build_dir -p $$(py3versions -dv) | awk -F:\   '{ print $$2}') \
+		   http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
+		   -N -bhtml  docs/ debian/python-soxr-doc/usr/share/doc/python-soxr-doc/html
 # Fix lintian  privacy-breach-generic
 	find debian/python-soxr-doc/ -name '*.html' -exec sed -i 's/.*https:\/\/img\.shields\.io\/.*//g' {} \;
-
 #Fix lintian font-in-non-font-package / package-installs-python-pycache-dir /extra-license-file
 	find debian/python-soxr-doc/ -type d -name webfonts -exec rm -r {} +
 	find debian/python-soxr-doc/ -type d -name __pycache__ -exec rm -r {} +
