=== debian/watch ===
version=4
opts=\
uversionmangle=s/[-._](rc|a|alpha|b|beta|c|pre)[0-9]*// \
https://github.com/dofuuz/python-soxr/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
